//SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include "mysql.h"

namespace DB {
class MySQL::Transaction {
public:
    Transaction(MYSQL* connection);
    ~Transaction();

    void commit();
    void abort();

private:
    MYSQL* con;
    bool opened;
};
}
