//SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#include "session.h"

DB::Session::Session ():
    id(),
    owner(),
    accessToken(),
    renewToken()
{}

DB::Session::Session (const std::vector<std::any>& vec):
    id(std::any_cast<unsigned int>(vec[0])),
    owner(std::any_cast<unsigned int>(vec[1])),
    accessToken(std::any_cast<const std::string&>(vec[2])),
    renewToken(std::any_cast<const std::string&>(vec[3]))
{}
