//SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <string>
#include <vector>
#include <any>
#include <cstdint>

namespace DB {
class Session {
public:
    Session ();
    Session (const std::vector<std::any>& vec);

public:
    unsigned int id;
    unsigned int owner;
    std::string accessToken;
    std::string renewToken;
};
}
