//SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <memory>

#include "handler.h"

class Server;
namespace Handler {
class AddAsset : public Handler {
public:
    AddAsset (const std::shared_ptr<Server>& server);
    virtual void handle (Request& request) override;

private:
    std::weak_ptr<Server> server;
};
}
