//SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <ios>

#include "stream.h"

class Request;

class OStream : Stream {
    friend class Request;
private:
    OStream(FCGX_Stream* raw);

public:
    ~OStream();

    template <typename T>
    OStream& operator << (const T& value) {
        std << value;
        return *this;
    };
private:
    std::ostream std;
};
