//SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#include "record.h"

TM::Record::Record (ID id, const Task& task, Time time):
    id(id),
    task(task),
    time(time)
{}

bool TM::Record::operator < (const Record& other) const {
    return time < other.time;
}

bool TM::Record::operator > (const Record& other) const {
    return time > other.time;
}
