//SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#include "route.h"

TM::Route::Route (std::shared_ptr<Router> router, std::unique_ptr<Request> request):
    router(router),
    request(std::move(request))
{}

void TM::Route::execute () {
    router->route(std::move(request));
}
