//SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#include "info.h"

Handler::Info::Info():
    Handler("info", Request::Method::get)
{}

void Handler::Info::handle(Request& request) {
    Response& res = request.createResponse();
    nlohmann::json body = nlohmann::json::object();
    body["type"] = PROJECT_NAME;
    body["version"] = PROJECT_VERSION;

    res.setBody(body);
    res.send();
}
