//SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <exception>

#include "accepting.h"

class Redirect : std::exception {
public:
    Redirect(Accepting* destination);
    
    Accepting* destination;
    const char* what() const noexcept override;
};
