//SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include "functional"

#include "job.h"

namespace TM {
class Function : public Job {
public:
    Function(const std::function<void()>& fn);

    void execute () override;

private:
    std::function<void()> fn;
};
}
