//SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

namespace TM {
class Job {
public:
    Job();
    Job(const Job& other) = delete;
    Job(Job&& other) = delete;
    virtual ~Job();

    Job& operator = (const Job& other) = delete;
    Job& operator = (Job&& other) = delete;

    virtual void execute() = 0;
};
}
