//SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <map>
#include <string>
#include <string_view>

std::map<std::string, std::string> urlDecodeAndParse(const std::string_view& encoded);
std::string urlDecode(const std::string_view& encoded);
